Page MenuHomePhabricator

Parsoid crashes from logs
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

Pchelolo created this task.Aug 2 2016, 6:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2016, 6:36 PM
This comment was removed by Arlolra.
Arlolra claimed this task.Aug 3 2016, 6:45 PM
Arlolra triaged this task as Medium priority.
ssastry renamed this task from Parsoid crashes from RESTBase logs to Parsoid crashes from logs.Aug 4 2016, 3:45 PM
ssastry updated the task description. (Show Details)
ssastry added a subscriber: Zppix.

Not sure Kibana logs will stick around indefinitely, so it may be worth it to copy the individual referenced stack traces into the bug description.

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2016.08.02/restbase?id=AVZMZaWq14thRtYy44-P

/ar.wikipedia.org/v1/page/html/%D9%86%D9%82%D8%A7%D8%B4_%D8%A7%D9%84%D9%85%D8%B3%D8%AA%D8%AE%D8%AF%D9%85:TheEgyptian/17688207

Cannot call method 'unshift' of undefined
TypeError: Cannot call method 'unshift' of undefined
    at Object.handleLinkNeighbours [as run] (/srv/deployment/parsoid/deploy/src/lib/wt2html/pp/handlers/handleLinkNeighbours.js:144:18)
    at DOMTraverser.callHandlers (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:52:35)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:109:27)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:120:10)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:120:10)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:120:10)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:120:10)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:120:10)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:120:10)
    at DOMPostProcessor.doPostProcess (/srv/deployment/parsoid/deploy/src/lib/wt2html/DOMPostProcessor.js:406:22)
    at TreeBuilder.EventEmitter.emit (events.js:95:17)
    at TreeBuilder.onEnd (/srv/deployment/parsoid/deploy/src/lib/wt2html/HTML5TreeBuilder.js:117:7)
    at SyncTokenTransformManager.EventEmitter.emit (events.js:92:17)
    at SyncTokenTransformManager.onEndEvent (/srv/deployment/parsoid/deploy/src/lib/wt2html/TokenTransformManager.js:958:8)
    at AsyncTokenTransformManager.EventEmitter.emit (events.js:92:17)
    at AsyncTokenTransformManager.emitChunk (/srv/deployment/parsoid/deploy/src/lib/wt2html/TokenTransformManager.js:352:9)

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2016.08.02/restbase?id=AVZLHRH214thRtYy1DSs

/es.wikipedia.org/v1/page/html/L%C3%ADnea_B_(Subte_de_Buenos_Aires)/91283888

Encapsulating a flipped range.
AssertionError: Encapsulating a flipped range.
    at Console.assert (console.js:102:23)
    at encapsulateTemplates (/srv/deployment/parsoid/deploy/src/lib/wt2html/pp/processors/wrapTemplates.js:612:11)
    at wrapTemplatesInTree (/srv/deployment/parsoid/deploy/src/lib/wt2html/pp/processors/wrapTemplates.js:981:3)
    at Array.wrapTemplates [as 10] (/srv/deployment/parsoid/deploy/src/lib/wt2html/pp/processors/wrapTemplates.js:997:2)
    at DOMPostProcessor.doPostProcess (/srv/deployment/parsoid/deploy/src/lib/wt2html/DOMPostProcessor.js:406:22)
    at TreeBuilder.EventEmitter.emit (events.js:95:17)
    at TreeBuilder.onEnd (/srv/deployment/parsoid/deploy/src/lib/wt2html/HTML5TreeBuilder.js:117:7)
    at SyncTokenTransformManager.EventEmitter.emit (events.js:92:17)
    at SyncTokenTransformManager.onEndEvent (/srv/deployment/parsoid/deploy/src/lib/wt2html/TokenTransformManager.js:958:8)
    at AsyncTokenTransformManager.EventEmitter.emit (events.js:92:17)
    at AsyncTokenTransformManager.emitChunk (/srv/deployment/parsoid/deploy/src/lib/wt2html/TokenTransformManager.js:352:9)
    at TokenAccumulator._callParentCB (/srv/deployment/parsoid/deploy/src/lib/wt2html/TokenTransformManager.js:1279:16)
    at TokenAccumulator.receiveToksFromChild (/srv/deployment/parsoid/deploy/src/lib/wt2html/TokenTransformManager.js:1210:7)
    at AsyncTokenTransformManager.maybeSyncReturn (/srv/deployment/parsoid/deploy/src/lib/wt2html/TokenTransformManager.js:804:3)
    at TokenAccumulator._callParentCB (/srv/deployment/parsoid/deploy/src/lib/wt2html/TokenTransformManager.js:1279:16)
    at TokenAccumulator.emitTokens (/srv/deployment/parsoid/deploy/src/lib/wt2html/TokenTransformManager.js:1171:9)
    at TokenAccumulator.receiveToksFromSibling (/srv/deployment/parsoid/deploy/src/lib/wt2html/TokenTransformManager.js:1262:8)
    at TemplateHandler._onEnd (/srv/deployment/parsoid/deploy/src/lib/wt2html/tt/TemplateHandler.js:911:3)

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2016.08.02/restbase?id=AVZK_1dB14thRtYy0xjC

/nn.wikipedia.org/v1/page/html/Bilen/2808132

Cannot read property '0' of undefined
TypeError: Cannot read property '0' of undefined
    at hoistTransclusionInfo (/srv/deployment/parsoid/deploy/src/lib/wt2html/pp/handlers/tableFixups.js:104:12)
    at TableFixups.reparseTemplatedAttributes (/srv/deployment/parsoid/deploy/src/lib/wt2html/pp/handlers/tableFixups.js:321:3)
    at TableFixups.handleTableCellTemplates (/srv/deployment/parsoid/deploy/src/lib/wt2html/pp/handlers/tableFixups.js:374:8)
    at DOMTraverser.callHandlers (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:52:35)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:109:27)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:120:10)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:120:10)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:120:10)
    at DOMTraverser.traverse (/srv/deployment/parsoid/deploy/src/lib/utils/DOMTraverser.js:120:10)
    at DOMPostProcessor.doPostProcess (/srv/deployment/parsoid/deploy/src/lib/wt2html/DOMPostProcessor.js:406:22)
    at TreeBuilder.EventEmitter.emit (events.js:95:17)
    at TreeBuilder.onEnd (/srv/deployment/parsoid/deploy/src/lib/wt2html/HTML5TreeBuilder.js:117:7)
    at SyncTokenTransformManager.EventEmitter.emit (events.js:92:17)
    at SyncTokenTransformManager.onEndEvent (/srv/deployment/parsoid/deploy/src/lib/wt2html/TokenTransformManager.js:958:8)
    at AsyncTokenTransformManager.EventEmitter.emit (events.js:92:17)
    at AsyncTokenTransformManager.emitChunk (/srv/deployment/parsoid/deploy/src/lib/wt2html/TokenTransformManager.js:352:9)

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2016.08.02/restbase?id=AVZJwL9i14thRtYyxsY8

/en.wikipedia.org/v1/transform/wikitext/to/html/Draft%3ASandbox

Cannot read property 'tsr' of undefined
TypeError: Cannot read property 'tsr' of undefined
    at peg$c303 (eval at <anonymous> (/srv/deployment/parsoid/deploy/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:1768:73)
    at peg$parseimplicit_table_data_tag (eval at <anonymous> (/srv/deployment/parsoid/deploy/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:19061:12)
    at peg$parsetable_row_tag (eval at <anonymous> (/srv/deployment/parsoid/deploy/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:18524:11)
    at peg$parsetable_content_line (eval at <anonymous> (/srv/deployment/parsoid/deploy/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:17843:10)
    at peg$parsetable_line (eval at <anonymous> (/srv/deployment/parsoid/deploy/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:15711:10)
    at peg$parsetable_lines (eval at <anonymous> (/srv/deployment/parsoid/deploy/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:13873:10)
    at peg$parseblock_line (eval at <anonymous> (/srv/deployment/parsoid/deploy/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:9196:11)
    at peg$parseblock_lines (eval at <anonymous> (/srv/deployment/parsoid/deploy/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:6227:10)
    at peg$parseblock (eval at <anonymous> (/srv/deployment/parsoid/deploy/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:4204:10)
    at peg$parsetlb (eval at <anonymous> (/srv/deployment/parsoid/deploy/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:2807:10)
    at Object.next (eval at <anonymous> (/srv/deployment/parsoid/deploy/src/lib/wt2html/tokenizer.js:1:0), <anonymous>:1813:14)
    at Object.tokenizeChunk [as _onImmediate] (/srv/deployment/parsoid/deploy/src/lib/wt2html/tokenizer.js:300:21)
    at processImmediate [as _immediateCallback] (timers.js:330:15)

Change 312553 had a related patch set uploaded (by Arlolra):
T141905: Fix crasher in table fixups

https://gerrit.wikimedia.org/r/312553

Change 312553 merged by jenkins-bot:
T141905: Fix crasher in table fixups

https://gerrit.wikimedia.org/r/312553

Change 314595 had a related patch set uploaded (by Arlolra):
Stop asserting that we'll never be encapsulating a flipped range

https://gerrit.wikimedia.org/r/314595

Change 314782 had a related patch set uploaded (by Arlolra):
T141905: Fix crasher

https://gerrit.wikimedia.org/r/314782

Change 314595 merged by jenkins-bot:
Stop asserting that we'll never be encapsulating a flipped range

https://gerrit.wikimedia.org/r/314595

Change 314782 merged by jenkins-bot:
T141905: Fix crasher and other bugs of that category

https://gerrit.wikimedia.org/r/314782

ssastry moved this task from Backlog to In Progress on the Parsoid board.Oct 16 2016, 5:19 AM
Arlolra closed this task as Resolved.Oct 25 2016, 1:37 AM
Arlolra removed a project: Patch-For-Review.